org.apache.maven.artifact.resolver

## Interface ResolutionListener

- All Known Implementing Classes:
    DebugResolutionListener, WarningResolutionListener

      public interface ResolutionListener

  Listens to the resolution process and handles events.
  Version:
    $Id: ResolutionListener.java 640549 2008-03-24 20:05:11Z bentmann $
  Author:
    Brett Porter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `FINISH_PROCESSING_CHILDREN`
    `static int` | `INCLUDE_ARTIFACT`
    `static int` | `MANAGE_ARTIFACT` Deprecated.
    `static int` | `MANAGE_ARTIFACT_SCOPE`
    `static int` | `MANAGE_ARTIFACT_VERSION`
    `static int` | `OMIT_FOR_CYCLE`
    `static int` | `OMIT_FOR_NEARER`
    `static int` | `PROCESS_CHILDREN`
    `static int` | `RESTRICT_RANGE`
    `static java.lang.String` | `ROLE`
    `static int` | `SELECT_VERSION_FROM_RANGE`
    `static int` | `TEST_ARTIFACT`
    `static int` | `UPDATE_SCOPE`
    `static int` | `UPDATE_SCOPE_CURRENT_POM` this event means that the scope has NOT been updated to a farther node scope because current node is in the first level pom

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `endProcessChildren(Artifact artifact)`
    `void` | `includeArtifact(Artifact artifact)`
    `void` | `manageArtifact(Artifact artifact, Artifact replacement)` Deprecated.
    `void` | `omitForCycle(Artifact artifact)`
    `void` | `omitForNearer(Artifact omitted, Artifact kept)`
    `void` | `restrictRange(Artifact artifact, Artifact replacement, VersionRange newRange)`
    `void` | `selectVersionFromRange(Artifact artifact)`
    `void` | `startProcessChildren(Artifact artifact)`
    `void` | `testArtifact(Artifact node)`
    `void` | `updateScope(Artifact artifact, java.lang.String scope)`
    `void` | `updateScopeCurrentPom(Artifact artifact, java.lang.String ignoredScope)` This event means that the scope has NOT been updated to a farther node scope because current node is in the first level pom

- - ### Field Detail

    - #### ROLE

          static final java.lang.String ROLE

    - #### TEST_ARTIFACT

          static final int TEST_ARTIFACT

      See Also:
        Constant Field Values

    - #### PROCESS_CHILDREN

          static final int PROCESS_CHILDREN

      See Also:
        Constant Field Values

    - #### FINISH_PROCESSING_CHILDREN

          static final int FINISH_PROCESSING_CHILDREN

      See Also:
        Constant Field Values

    - #### INCLUDE_ARTIFACT

          static final int INCLUDE_ARTIFACT

      See Also:
        Constant Field Values

    - #### OMIT_FOR_NEARER

          static final int OMIT_FOR_NEARER

      See Also:
        Constant Field Values

    - #### UPDATE_SCOPE

          static final int UPDATE_SCOPE

      See Also:
        Constant Field Values

    - #### MANAGE_ARTIFACT

          static final int MANAGE_ARTIFACT

      Deprecated.
      See Also:
        Constant Field Values

    - #### OMIT_FOR_CYCLE

          static final int OMIT_FOR_CYCLE

      See Also:
        Constant Field Values

    - #### UPDATE_SCOPE_CURRENT_POM

          static final int UPDATE_SCOPE_CURRENT_POM

      this event means that the scope has NOT been updated to a farther node scope because current node is in the first level pom
      See Also:
        Constant Field Values

    - #### SELECT_VERSION_FROM_RANGE

          static final int SELECT_VERSION_FROM_RANGE

      See Also:
        Constant Field Values

    - #### RESTRICT_RANGE

          static final int RESTRICT_RANGE

      See Also:
        Constant Field Values

    - #### MANAGE_ARTIFACT_VERSION

          static final int MANAGE_ARTIFACT_VERSION

      See Also:
        Constant Field Values

    - #### MANAGE_ARTIFACT_SCOPE

          static final int MANAGE_ARTIFACT_SCOPE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### testArtifact

          void testArtifact(Artifact node)

    - #### startProcessChildren

          void startProcessChildren(Artifact artifact)

    - #### endProcessChildren

          void endProcessChildren(Artifact artifact)

    - #### includeArtifact

          void includeArtifact(Artifact artifact)

    - #### omitForNearer

          void omitForNearer(Artifact omitted,
                           Artifact kept)

    - #### updateScope

          void updateScope(Artifact artifact,
                         java.lang.String scope)

    - #### manageArtifact

          void manageArtifact(Artifact artifact,
                            Artifact replacement)

      Deprecated.

    - #### omitForCycle

          void omitForCycle(Artifact artifact)

    - #### updateScopeCurrentPom

          void updateScopeCurrentPom(Artifact artifact,
                                   java.lang.String ignoredScope)

      This event means that the scope has NOT been updated to a farther node scope because current node is in the first level pom
      Parameters:
        `artifact` - current node artifact, the one in the first level pom
        `ignoredScope` - scope that was ignored because artifact was in first level pom

    - #### selectVersionFromRange

          void selectVersionFromRange(Artifact artifact)

    - #### restrictRange

          void restrictRange(Artifact artifact,
                           Artifact replacement,
                           VersionRange newRange)